mscorlib 2.0.0.0 4.0.0.0 System.Security.CodeAccessPermission System.Security.Permissions.IBuiltInPermission System.Security.Permissions.IUnrestrictedPermission System.Runtime.InteropServices.ComVisible(true)

This permission is used to provide limited access to key containers.

Controls the ability to access key containers. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified access.

  A bitwise combination of the values.
- Constructor
  2.0.0.0
  4.0.0.0

  Creates either None (fully restricted) or Unrestricted access to key containers.

  Initializes a new instance of the class with either restricted or unrestricted permission.

  One of the values.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified global access and specific key container access rights.

  A bitwise combination of the values.
  An array of objects identifying specific key container access rights.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionAccessEntryCollection To be added.

  Each object in the collection specifies the access rights for a specific key container.

  Gets the collection of objects associated with the current permission.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of the permission represents the same access to resources as the original permission.

  Creates and returns an identical copy of the current permission.

  A copy of the current permission.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Permissions.KeyContainerPermissionFlags To be added.

  The property is set by the constructor.

  Gets the key container permission flags that apply to all key containers associated with the permission.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method reconstructs a object from an XML encoding defined by the class. Use the method to XML-encode the , including state information.

  Reconstructs a permission with a specified state from an XML encoding.

  A that contains the XML encoding used to reconstruct the permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The intersection of two permissions is a permission that describes the set of operations they both describe in common. Only a demand that passes both individual permissions will pass the intersection.

  Creates and returns a permission that is the intersection of the current permission and the specified permission.

  A new permission that represents the intersection of the current permission and the specified permission. This new permission is null if the intersection is empty.

  A permission to intersect with the current permission. It must be the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current permission is a subset of the specified permission if the current permission specifies a set of operations that is wholly contained in the specified permission. For example, a permission for access is a subset of a permission for access.

  Determines whether the current permission is a subset of the specified permission.

  true if the current permission is a subset of the specified permission; otherwise, false.

  A permission to test for the subset relationship. This permission must be the same type as the current permission.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean

  An unrestricted permission represents access to all resources protected by the permission.

  Determines whether the current permission is unrestricted.

  true if the current permission is unrestricted; otherwise, false.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  Use the method to restore the state information from a .

  Creates an XML encoding of the permission and its current state.

  A that contains an XML encoding of the permission, including state information.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.IPermission ``

  The result of a call to is a permission that represents all operations represented by both the current permission and the specified permission. Any demand that passes either permission passes their union.

  Creates a permission that is the union of the current permission and the specified permission.

  A new permission that represents the union of the current permission and the specified permission.

  A permission to combine with the current permission. It must be of the same type as the current permission.